org.apache.ignite.internal.processors.cache.distributed

## Class GridDistributedTxFinishRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheMessage
  - - org.apache.ignite.internal.processors.cache.distributed.GridDistributedBaseMessage
    - - org.apache.ignite.internal.processors.cache.distributed.GridDistributedTxFinishRequest

All Implemented Interfaces:
  Serializable, GridCacheDeployable, IgniteTxStateAware, GridCacheVersionable, Message

Direct Known Subclasses:
  GridDhtTxFinishRequest, GridNearTxFinishRequest

    public class GridDistributedTxFinishRequest
    extends GridDistributedBaseMessage
    implements IgniteTxStateAware

Transaction completion message.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.distributed.GridDistributedBaseMessage

`ver`

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`addDepInfo, CACHE_MSG_INDEX_FIELD_NAME, cacheId, forceAddDepInfo, MAX_CACHE_MSG_LOOKUP_INDEX`

### Constructor Summary

Constructors
Constructor and Description
`GridDistributedTxFinishRequest()` Empty constructor required by `Externalizable`.
`GridDistributedTxFinishRequest(GridCacheVersion xidVer, IgniteUuid futId, GridCacheVersion commitVer, long threadId, boolean commit, boolean invalidate, boolean sys, byte plc, boolean syncCommit, boolean syncRollback, GridCacheVersion baseVer, Collection<GridCacheVersion> committedVers, Collection<GridCacheVersion> rolledbackVers, int txSize, boolean addDepInfo)`

### Method Summary

Methods
`GridCacheVersion` `baseVersion()`
`boolean` `commit()`
`GridCacheVersion` `commitVersion()`
`byte` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`IgniteUuid` `futureId()`
`boolean` `isInvalidate()`
`IgniteLogger` `messageLogger(GridCacheSharedContext ctx)`
`byte` `policy()`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`boolean` `replyRequired()`
`boolean` `syncCommit()`
`void` `syncCommit(boolean syncCommit)`
`boolean` `syncRollback()`
`boolean` `system()`
`long` `threadId()`
`String` `toString()`
`int` `txSize()`
`IgniteTxState` `txState()`
`void` `txState(IgniteTxState txState)`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.GridDistributedBaseMessage

`addDeploymentInfo, committedVersions, completedVersions, keysCount, rolledbackVersions, version, version`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`cacheId, cacheId, classError, deployInfo, error, finishUnmarshal, finishUnmarshalCacheObjects, finishUnmarshalCacheObjects, ignoreClassErrors, lookupIndex, marshalCollection, marshalInfo, marshalInfos, marshalInvokeArguments, marshalTx, messageId, nextIndexId, onAckReceived, onClassError, partitionExchangeMessage, prepare, prepareMarshal, prepareMarshalCacheObject, prepareMarshalCacheObjects, prepareMarshalCacheObjects, prepareObject, topologyVersion, transferExpiryPolicy, unmarshalCollection, unmarshalInfo, unmarshalInfos, unmarshalInvokeArguments, unmarshalTx`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheDeployable

`deployInfo, prepare`

### Constructor Detail

#### GridDistributedTxFinishRequest

    public GridDistributedTxFinishRequest()

Empty constructor required by `Externalizable`.

#### GridDistributedTxFinishRequest

    public GridDistributedTxFinishRequest(GridCacheVersion xidVer,
                                  IgniteUuid futId,
                                  @Nullable
                                  GridCacheVersion commitVer,
                                  long threadId,
                                  boolean commit,
                                  boolean invalidate,
                                  boolean sys,
                                  byte plc,
                                  boolean syncCommit,
                                  boolean syncRollback,
                                  GridCacheVersion baseVer,
                                  Collection<GridCacheVersion> committedVers,
                                  Collection<GridCacheVersion> rolledbackVers,
                                  int txSize,
                                  boolean addDepInfo)

Parameters:
  `xidVer` - Transaction ID.
  `futId` - future ID.
  `threadId` - Thread ID.
  `commitVer` - Commit version.
  `commit` - Commit flag.
  `invalidate` - Invalidate flag.
  `sys` - System transaction flag.
  `plc` - IO policy.
  `syncCommit` - Sync commit flag.
  `syncRollback` - Sync rollback flag.
  `baseVer` - Base version.
  `committedVers` - Committed versions.
  `rolledbackVers` - Rolled back versions.
  `txSize` - Expected transaction size.
  `addDepInfo` - Deployment info flag.

### Method Detail

#### system

    public boolean system()

Returns:
  System transaction flag.

#### policy

    public byte policy()

Returns:
  IO policy.

#### futureId

    public IgniteUuid futureId()

Returns:
  Future ID.

#### threadId

    public long threadId()

Returns:
  Thread ID.

#### commitVersion

    public GridCacheVersion commitVersion()

Returns:
  Commit version.

#### commit

    public boolean commit()

Returns:
  Commit flag.

#### isInvalidate

    public boolean isInvalidate()

Returns:
  Invalidate flag.

#### syncCommit

    public boolean syncCommit()

Returns:
  Sync commit flag.

#### syncCommit

    public void syncCommit(boolean syncCommit)

Parameters:
  `syncCommit` - Sync commit flag.

#### syncRollback

    public boolean syncRollback()

Returns:
  Sync rollback flag.

#### baseVersion

    public GridCacheVersion baseVersion()

Returns:
  Base version.

#### txSize

    public int txSize()

Returns:
  Expected tx size.

#### replyRequired

    public boolean replyRequired()

Returns:
  `True` if reply is required.

#### txState

    public IgniteTxState txState()

Specified by:
  `txState` in interface `IgniteTxStateAware`
Returns:
  Transient TX state.

#### txState

    public void txState(IgniteTxState txState)

Specified by:
  `txState` in interface `IgniteTxStateAware`
Parameters:
  `txState` - Transient TX state.

#### messageLogger

    public IgniteLogger messageLogger(GridCacheSharedContext ctx)

Overrides:
  `messageLogger` in class `GridCacheMessage`
Parameters:
  `ctx` - Context.
Returns:
  Logger.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Overrides:
  `writeTo` in class `GridDistributedBaseMessage`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                   MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Overrides:
  `readFrom` in class `GridDistributedBaseMessage`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public byte directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridDistributedBaseMessage`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016